# Class $$AnimateJsProvider

- Defined in animations/animate-js.js:12
- Defined in animations/animate-js.js:11

#####
Index

### Constructors

constructor

### Properties

$get
$inject

##
Constructors

### constructor

- new $$AnimateJsProvider($animateProvider): $$AnimateJsProvider

- #### Parameters

  - $animateProvider: any

  #### Returns $$AnimateJsProvider

  - Defined in animations/animate-js.js:12

##
Properties

### $get

$get: (string | (($injector: InjectorService, $$AnimateRunner: any) => ((element: any, event: any, classes: any, options: any, ...args: any) => {
$$willAnimate: boolean;
end(): any;
start(): any;
})))[]

- Defined in animations/animate-js.js:13

### `Static`$inject

$inject: string[]

- Defined in animations/animate-js.js:11